import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { ContextChartService } from '../../chart.service';
import { ContextItem } from '../tooltip/tooltip.component';
export declare class YPlotLinesComponent implements OnInit, OnDestroy {
    readonly context: ContextChartService;
    private readonly cdr;
    value: ContextItem[];
    value$: Observable<ContextItem[]>;
    color: string;
    dashType: 'solid' | 'dash';
    width: number;
    hide: boolean;
    path: string;
    circleValue: Array<{
        color: string;
        cx: number;
        cy: number;
        visibility: string;
        name: string;
    }>;
    get dasharray(): number[];
    get view(): import("../../types").ChartView;
    private readonly destroy$$;
    constructor(context: ContextChartService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
